Commit 56523335 authored by Ludovic Courtès's avatar Ludovic Courtès
Browse files

pampa: Make sure only "openmpi-with-mpi1-compat" shows up in the graph.

* inria/pampa.scm (pt-scotch32-with-mpi1-compat): New variable.
(pampa)[inputs]: Use it.
parent c9cd8b8f
;;; This module extends GNU Guix and is licensed under the same terms, those
;;; of the GNU GPL version 3 or (at your option) any later version.
;;;
;;; Copyright © 2019 Inria
;;; Copyright © 2019, 2020 Inria
(define-module (inria pampa)
#:use-module (guix)
......@@ -15,6 +15,10 @@
#:use-module (gnu packages maths)
#:use-module (gnu packages mpi))
(define pt-scotch32-with-mpi1-compat
(package/inherit pt-scotch32
(propagated-inputs `(("openmpi" ,openmpi-with-mpi1-compat)))))
(define-public pampa
(let ((commit "2d2d89ec91c514dbf5a63cf6b746e168eece36fe")
(revision "0"))
......@@ -56,7 +60,7 @@
`(("gfortran" ,gfortran)))
(inputs
`(("zlib" ,zlib)
("pt-scotch" ,pt-scotch32)
("pt-scotch" ,pt-scotch32-with-mpi1-compat)
;; PaMPA relies on deprecated MPI1 functionality such as
;; 'MPI_Type_extent'.
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment